Create a transaction
In: header
Path Parameters
Unique identifier of the account.
uuidHeader Parameters
It helps preventing duplicates in your POST requests. It is recommend using a UUID for the key, however you may use any other unique identifier you choose.
length <= 160Version of the API used. Currently, version 1 is the only version.
1Detached JWS signature for request integrity and authenticity.
[SANDBOX ONLY] used to trigger specific transaction failure or verification mocks.
"PAYOUT_REJECTED" | "ACCOUNT_HOLDER_VERIFICATION_CLOSE_MATCH" | "ACCOUNT_HOLDER_VERIFICATION_NO_MATCH" | "ACCOUNT_HOLDER_VERIFICATION_ERROR" | "ONBOARDING_REJECTED" | "ONBOARDING_ADDITIONAL_INFO_REQUIRED" | "ONBOARDING_EXPIRED" | "ORDER_NAMED_ACCOUNTS_FAILED"Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://accounts.sandbox.volt.io/accounts/497f6eca-6276-4993-bfeb-53cbbbba6f08/transactions" \ -H "Idempotency-Key: 85136c79cbf9fe36bb9d05d0639c70c265c18d37" \ -H "X-Volt-Api-Version: 1" \ -H "X-JWS-Signature: eyJhbGciOXXXXX" \ -H "Content-Type: application/json" \ -d '{ "type": "PAYOUT", "amount": 1000, "currency": "EUR", "paymentReference": "Reconciliation-1", "internalReference": "INT-99", "beneficiary": { "name": "John Doe", "email": "email@email.com", "accountIdentifiers": { "iban": "DE07500105176551562526", "swiftBic": "123456" }, "address": { "addressLine1": "123, Main Street", "addressLine2": "", "city": "Berlin", "postalCode": "12332", "country": "DE" } }, "communication": { "notifications": { "url": "https://mywebsite.com/webhooks" } } }'{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}{
"code": "BAD_REQUEST",
"message": "string"
}{
"code": "UNAUTHORISED",
"message": "string"
}{
"code": "ACCESS_DENIED",
"message": "string"
}{
"code": "RESOURCE_NOT_FOUND",
"message": "string"
}{
"code": "METHOD_NOT_SUPPORTED",
"message": "string"
}{
"code": "MEDIA_TYPE_NOT_ACCEPTABLE",
"message": "string"
}{
"code": "CONFLICT",
"message": "string"
}{
"code": "UNSUPPORTED_MEDIA_TYPE",
"message": "string"
}{
"code": "VALIDATION_FAILURE",
"message": "string",
"errors": [
{
"type": "TOO_FEW",
"propertyPath": "string",
"message": "string"
}
]
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "string"
}